package com.jeeplus.human.enrollment.enrollmentRegistration.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 培训经历
 * @version 1.0
 * @date
 */
@Data
@TableName("human_resources_enrollment_certificate_info")
public class EnrollmentCertificateInfo extends BaseEntity {

    //证书名称
    private String certificateName;

    //其他证书名称
    private String otherCertificateName;

   //证书编号
    private String certificateNumber;

    //发证机构
    private String issuingAuthority;

    //获得日期
    private Date issueDate;

    //有效期至
    private Date validUntil;

    //证书附件（文件对象列表）
    @TableField(exist = false)
    private List<WorkAttachmentInfoDTO> certificateAttachment;

    /** 关联id */
    private String enrollmentRegistrationId;
    /** 用户id */
    private String userId;

}
